Summary:	X.org video driver for Rendition/Micron video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych Rendition/Micron
Name:		xorg-driver-video-rendition
Version:	4.2.7
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-rendition-%{version}.tar.bz2
# Source0-md5:	d21c65b68b74206a67ecc54ec0589a7c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-rendition < 1:7.0.0
Obsoletes:	XFree86-Rendition
Obsoletes:	XFree86-driver-rendition < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*.uc

%description
X.org video driver for Rendition/Micron video chips. It supports PCI
and AGP video cards based on the following chips: Verite V1000, Verite
V2100, Verite V2200.

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych Rendition/Micron.
Obsługuje karty PCI i AGP oparte na następujących układach: Verite
V1000, Verite V2100, Verite V2200.

%prep
%setup -q -n xf86-video-rendition-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/rendition_drv.so
%{_libdir}/xorg/modules/v10002d.uc
%{_libdir}/xorg/modules/v20002d.uc
%{_mandir}/man4/rendition.4*
%changelog
* Wed May 23 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-rendition.git;a=log;h=master

* Wed May 23 2018 Jan Rękorajski <baggins@pld-linux.org> 559d402
- up to 4.2.7

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 18dd310
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d3cbb80
- release 2 (by relup.sh)

* Mon Dec 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 53c0820
- updated to 4.2.6
- removed mibstore patch

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9195d04
- due to xserver 1.17
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> febb962
- xserver rebuild
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> dbf2899
- xserver rebuild
- release 5 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> ba8d172
- release 4 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 04350cf
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7413bca
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 3fa5c84
- updated to 4.2.5
- removed obsolete git patch

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 47980a2
- rel 7
- sync with git for new ABI

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 34f8c1c
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ad41f6
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> eed6165
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d596a5f
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 68b8a8b
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 4a11c9b
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> caa34cb
- up to 4.2.4

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 87df56d
- release 4

